Name:           perl-Ace
Version:        1.92
Release:        4%{?dist}
Summary:        Perl module for interfacing with ACE bioinformatics databases
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/AcePerl/
Source0:        http://www.cpan.org/modules/by-module/Ace/AcePerl-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Cache::Cache) >= 1.03
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
AcePerl is a Perl interface for the ACEDB object-oriented database.
Designed specifically for use in genome sequencing projects, ACEDB
provides powerful modeling and management services for biological and
laboratory data.

%prep
%setup -q -n AcePerl-%{version}

# remove all execute bits from the doc stuff and fix interpreter
# so that dependency generator doesn't try to fulfill deps
find examples -type f -exec chmod -x {} 2>/dev/null ';'
find examples -type f -exec sed -i 's#/usr/local/bin/perl#/usr/bin/perl#' {} 2>/dev/null ';'

# Filter extra requires on Ace::Browser::LocalSiteDefs that isn't
# needed because we don't currently install the AceBrowser
cat << \EOF > %{_builddir}/AcePerl-%{version}/%{name}-req
#!/bin/sh
%{__perl_provides} $* |\
  sed -e '/perl(Ace::Browser::LocalSiteDefs)$/d'
EOF

%define __perl_requires %{_builddir}/AcePerl-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" << EOF
1
n
EOF

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

## disable tests because they require network access
%check
%{?_with_check:make test || :}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc examples
%doc ChangeLog DISCLAIMER.txt README README.ACEBROWSER
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.92-4
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.92-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.92-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.92-1
- Update to latest upstream (1.92)

* Fri Feb 08 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.91-4
- rebuild for new perl

* Tue Sep 04 2007 Alex Lancaster <alexl@users.sourceforge.net> 1.91-3
- Clarified license terms: GPL+ or Artistic

* Mon Apr 02 2007 Alex Lancaster <alexl@users.sourceforge.net> 1.91-2
- Rename perl-AcePerl to perl-Ace
- Disable tests because they require network access
- Fix URL for source.
- Add examples doc directory

* Fri Mar 30 2007 Alex Lancaster <alexl@users.sourceforge.net> 1.91-1
- Make noarch (not building the C optimizations).
- Remove Requires on Ace::Browser::LocalSiteDefs , do not currently
  install the AceBrowser Apache module
- Specfile autogenerated by cpanspec 1.69.1.
